[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# EIntOverflow

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Integer overflow error.

## Declaration

Source position: sysutilh.inc line 137

`type EIntOverflow = class(EInterror) ;`

## Inheritance

`EIntOverflow` |  | Integer overflow error.
`EInterror` |  | Integer operation error.
`EExternal` |  | External Exception.
`Exception` |  | Base class of all exceptions.
`TObject` |  | Base class of all classes.

## Description

EIntOverflow is used when the operating system or CPU signals a integer overflow error.

## See also

EIntError |  | Integer operation error.
EDivByZero |  | Division by zero error.
ERangeError |  | Range check error.

Documentation generated on: Feb 26 2014